%define	_requires_exceptions  pear(tests/Net_IMAP/tests/settings.php)
%define		_class		Net
%define		_subclass	IMAP
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 3
Summary:	Provides an implementation of the IMAP protocol
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_IMAP/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-Net_Socket >= 1.0.8
BuildArch:	noarch


%description
Provides an implementation of the IMAP4Rev1 protocol using PEAR's
Net_Socket and the optional Auth_SASL class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_IMAP.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_IMAP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_IMAP
fi

%files
%{peardir}/*
%{xmldir}/Net_IMAP.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 528900
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 spuhler <spuhler> 1.1.2-2.mga4
+ Revision: 448210
- added "%%define _requires_exceptions  pear(tests/Net_IMAP/tests/settings.php)"

* Sat Jun 29 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 448187
- upgrade to version 1.1.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 376969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 spuhler <spuhler> 1.1.1-1.mga3
+ Revision: 275970
- upgrade to 1.1.1

* Fri Jan 21 2011 spuhler <spuhler> 1.1.0-3.mga1
+ Revision: 27946
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_IMAP


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2011.0
+ Revision: 607123
- rebuild

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-2mdv2010.1
+ Revision: 468703
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 383555
- update to new version 1.1.0

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-10mdv2009.1
+ Revision: 321881
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-9mdv2009.0
+ Revision: 224757
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-8mdv2008.1
+ Revision: 178527
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-7mdv2007.0
+ Revision: 82318
- Import php-pear-Net_IMAP

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdk
- initial Mandriva package (PLD import)

